package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.AddStockBean;
import com.wd.workoffice.bean.ReturnApplyBean;
import com.wd.workoffice.bean.workEnum.PagePermissionType;
import com.wd.workoffice.util.MathUtils;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class AddStockSendApplyAdapter extends BaseQuickAdapter<AddStockBean.RecordsBean, BaseViewHolder> {
    int status;
    boolean hasPermission = true;

    public AddStockSendApplyAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    public AddStockSendApplyAdapter(int layoutResId, @Nullable List<AddStockBean.RecordsBean> data, int status) {
        super(layoutResId, data);
        this.status = status;
    }

    @Override
    protected void convert(BaseViewHolder helper, AddStockBean.RecordsBean item) {
        helper.setText(R.id.tv_name, item.getSerialNumber());
        helper.setText(R.id.tv_num, MathUtils.converData(item.getProductAmount(), 3));
        helper.setText(R.id.tv_box_num, item.getBoxCode());
        helper.setText(R.id.tv_time, item.getCreatedTime());
        helper.setText(R.id.tv_status, WorkUtils.getReturnStatus(Integer.valueOf(item.getStatus())));
        if (status == 0) {
            if (hasPermission) {
                helper.setGone(R.id.ll_btn, true);
                helper.addOnClickListener(R.id.tv_agree);
                helper.addOnClickListener(R.id.tv_refuse);
            } else {
                helper.setGone(R.id.ll_btn, false);
            }
        }else {
            helper.setGone(R.id.ll_btn, false);
        }
    }

    public boolean isHasPermission() {
        return hasPermission;
    }

    public void setHasPermission(boolean hasPermission) {
        this.hasPermission = hasPermission;
    }
}

